Ticket #45597

AI: Refactor defender selection not to depend on wall consideration

Open Date: 2022-09-07 01:16 Last Update: 2022-09-23 13:50

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

There's a dormant bug in military_advisor_choose_build() that also the latter-than-first defender unit selection is within the "if (build_walls)". It has not been causing trouble as build_walls has always been TRUE, except when there's already a suitable first-defender chosen. (So maybe it's on purpose, just with badly named gatekeeper variable)

This is one of the things causing trouble in attempts to solve #45276. While the refactoring could be done as part of #45276, I'd rather do it separately first, to keep steps small and well independently tested.

Ticket History (3/4 Histories)

2022-09-07 01:16 Updated by: cazfi
  • New Ticket "AI: Refactor defender selection not to depend on wall consideration" created
2022-09-10 09:00 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.4
2022-09-23 13:50 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login